RagTime5PipelineInternal::ClustListParser Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
RagTime5PipelineInternal::ClustListParser Struct Reference

Internal: the helper to read a clustList. More...

Inheritance diagram for RagTime5PipelineInternal::ClustListParser:

## Public Member Functions
| ClustListParser (RagTime5ClusterManager &clusterManager, int fieldSize, std::string const &zoneName)
| constructor More...
std::string | getClusterName (int id) const
| return the cluster name More...
std::vector< int > | getIdList () const
| returns the not null list dataId list More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f)
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Public Attributes
int | m_fieldSize
| the field size More...
std::vector< RagTime5StructManager::ZoneLink > | m_linkList
| the list of read cluster More...

## Private Member Functions
| ClustListParser (ClustListParser &orig)
| copy constructor, not implemented More...
ClustListParser & | operator= (ClustListParser &orig)
| copy operator, not implemented More...

## Private Attributes
RagTime5ClusterManager & | m_clusterManager
| the main zone manager More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a clustList.

## Constructor & Destructor Documentation

RagTime5PipelineInternal::ClustListParser::ClustListParser | ( | RagTime5ClusterManager & | clusterManager,
|  | int | fieldSize,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

RagTime5PipelineInternal::ClustListParser::ClustListParser | ( | ClustListParser & | orig | ) |
| private

copy constructor, not implemented

## Member Function Documentation

std::string RagTime5PipelineInternal::ClustListParser::getClusterName | ( | int | id | ) | const
| inline

return the cluster name

Referenced by parseData().

std::vector<int> RagTime5PipelineInternal::ClustListParser::getIdList | ( |  | ) | const
| inline

returns the not null list dataId list

ClustListParser& RagTime5PipelineInternal::ClustListParser::operator= | ( | ClustListParser & | orig | ) |
| private

copy operator, not implemented

bool RagTime5PipelineInternal::ClustListParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

RagTime5ClusterManager& RagTime5PipelineInternal::ClustListParser::m_clusterManager
| private

the main zone manager

Referenced by getClusterName().

int RagTime5PipelineInternal::ClustListParser::m_fieldSize

the field size

Referenced by ClustListParser(), and parseData().

std::vector<RagTime5StructManager::ZoneLink> RagTime5PipelineInternal::ClustListParser::m_linkList

the list of read cluster

Referenced by getIdList(), and parseData().

The documentation for this struct was generated from the following file:

- RagTime5Pipeline.cxx